use poe_data::world_area::WorldArea;
use serde::{Serialize, Deserialize};

#[derive(Serialize, Deserialize, Debug)]
pub struct Plan {
    plan: Vec<PlanElement>,
    current: usize,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct PlanElement {
    area: WorldArea,
    notes: String,
}