import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NgxMoveableComponent } from 'ngx-moveable';
import { PlanDisplayComponent } from './plan-display.component';
import {MatCardModule} from '@angular/material/card'; 


@NgModule({
  declarations: [
    PlanDisplayComponent
  ],
  imports: [
    CommonModule,
    NgxMoveableComponent,
    MatCardModule,
  ],
  exports: [
    PlanDisplayComponent
  ]
})
export class PlanDisplayModule { }
